
data = load('iris1.data');

useful_data = data(1:23, :);

X = useful_data(:, 1:4);
y = useful_data(:, 5);

[m,n] = size(X);

X = [X ones(m, 1)];

beta = zeros(n+1, 1);

iteration = 1500;
alpha = 0.01;

for iter = 1 : iteration
    z = X * beta;
    h = 1 ./ (1 + exp(-z));
    error = h - y;
    graident = X' * error;
    beta = beta - alpha / m.* graident;
end